.c-hero-header-text-image {
  padding: 2rem 0;

  &.is-image-left .c-hero-header-text-image__inner {
    @media (min-width: 1024px) {
      flex-direction: row-reverse;
    }
  }

  &.is-image-mobile-hidden .c-hero-header-text-image__image-wrapper {
    @media (max-width: 1023px) {
      display: none;
    }
  }
}

.c-hero-header-text-image__inner {
  display: flex;
  align-items: center;

  @media (min-width: 1024px) {
    gap: 9.6rem;
  }

  @media (max-width: 1023px) {
    flex-direction: column;
    gap: 4rem;
  }
}

.c-hero-header-text-image__text-wrapper {
  display: flex;
  flex-direction: column;
  gap: 4rem;
  flex-grow: 1;
}

.c-hero-header-text-image__title-wrapper {
  display: flex;
  flex-direction: column;
  gap: 2.4rem;
}

.c-hero-header-text-image__title {
  margin: 0;

  @media (max-width: 1199px) {
    font-size: 3.4rem;
    line-height: 4.2rem;
  }
}

.c-hero-header-text-image__subtitle {
  font-size: 2.4rem;
  line-height: 3.1rem;
  font-weight: 500;
}

.c-hero-header-text-image__image-wrapper {
  @media (min-width: 1024px) {
    flex: 0 0 40.5%;
  }
}

.c-hero-header-text-image__cta-wrapper {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 1.5rem;
}

.c-hero-header-text-image__image {
  width: 100%;
  object-fit: contain;
}